[arch-commits] Commit in autogen/repos (3 files)

Jan de Groot jgc at archlinux.org
Sat Apr 4 16:53:29 EDT 2009


    Date: Saturday, April 4, 2009 @ 16:53:28
  Author: jgc
Revision: 33835

Merged revisions 33829,33832 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/autogen/trunk

........
  r33829 | jgc | 2009-04-04 20:42:20 +0000 (Sat, 04 Apr 2009) | 1 line
  
  upgpkg: autogen 5.9.7-1
........
  r33832 | jgc | 2009-04-04 20:47:22 +0000 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: autogen 5.9.7-1
      Handle info files
........

Added:
  autogen/repos/extra-i686/autogen.install
    (from rev 33832, autogen/trunk/autogen.install)
Modified:
  autogen/repos/extra-i686/	(properties)
  autogen/repos/extra-i686/PKGBUILD

-----------------+
 PKGBUILD        |   12 +++++++-----
 autogen.install |   20 ++++++++++++++++++++
 2 files changed, 27 insertions(+), 5 deletions(-)


Property changes on: autogen/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /autogen/trunk:1-2613
   + /autogen/trunk:1-33834

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 20:47:34 UTC (rev 33834)
+++ extra-i686/PKGBUILD	2009-04-04 20:53:28 UTC (rev 33835)
@@ -2,20 +2,22 @@
 # Maintainer: Arjan Timmerman <arjan at soufly.nl>
 # Contributer: Tor Krill
 pkgname=autogen
-pkgver=5.9.5
+pkgver=5.9.7
 pkgrel=1
 pkgdesc="A tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text."
 arch=(i686 x86_64)
 url="http://autogen.sourceforge.net/"
 license=('GPL3')
-depends=('guile>=1.8.4-2' 'libxml2>=2.6.23' 'libtool>=2.2.4')
+depends=('guile>=1.8.6' 'libxml2>=2.7.3' 'libtool>=2.2.6a')
 options=('!libtool' '!makeflags')
+install=autogen.install
 source=(http://downloads.sourceforge.net/autogen/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('fa375a4346e56e1d7a890a6ee82d2a63')
+md5sums=('71ed6e1104803b99cb962c0dca357014')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  rm -f ${pkgdir}/usr/share/info/dir
 } 

Copied: autogen/repos/extra-i686/autogen.install (from rev 33832, autogen/trunk/autogen.install)
===================================================================
--- extra-i686/autogen.install	                        (rev 0)
+++ extra-i686/autogen.install	2009-04-04 20:53:28 UTC (rev 33835)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(autogen.info autogen.info-1 autogen.info-2)
+
+post_install() {
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list